Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006709 [DCSS] Bug Report minor have not tried 2013-02-27 23:53 2013-03-13 05:34
Reporter elliptic View Status public  
Assigned To SamB
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0006709: Items placed in walls
Description I was spammed with the messages below when I entered D:27.

On exploring the level, it seems that one of those rectangular rooms full of random items was placed, and then a vault placed walls over some of the items.

 Item scroll of fear buggily placed in feature rock wall at (30, 29).
 Item 8 needles of sleeping buggily placed in feature metal wall at (32, 29).
 Item 13 gold pieces buggily placed in feature wall of green crystal at (34,
 29).
 Item scimitar buggily placed in feature wall of green crystal at (35, 29).
 Item 28 gold pieces buggily placed in feature rock wall at (30, 30).
 Item plain deck of cards buggily placed in feature metal wall at (32, 30).
 Item 13 sling bullets of flame buggily placed in feature wall of green crystal
 at (34, 30).
 Item 36 gold pieces buggily placed in feature wall of green crystal at (35,
 30).
 Item hammer buggily placed in feature rock wall at (30, 31).
 Item pair of orcish gloves buggily placed in feature metal wall at (32, 31).
Additional Information
Tags patch
Attached Files ? file icon 0001-Stop-treasure-rooms-being-overwritten-in-layout_rogu.patch [^] (915 bytes) 2013-02-28 03:04 [Show Content]
? file icon 0001-Fix-vault-overriding-in-layout_city.patch [^] (803 bytes) 2013-03-13 04:18 [Show Content]

- Relationships
has duplicate 0006056resolvedmumra Item war axe buggily placed in feature a gravestone at (15, 56) 

-  Notes
(0021183)
mumra (developer)
2013-02-28 03:05

Attached patch should fix this in layout_roguey by applying the MMT_VAULT mask.
(0021388)
SamB (developer)
2013-03-13 05:34

I've pushed mumra's patches.

- Issue History
Date Modified Username Field Change
2013-02-27 23:53 elliptic New Issue
2013-02-28 03:04 mumra File Added: 0001-Stop-treasure-rooms-being-overwritten-in-layout_rogu.patch
2013-02-28 03:05 mumra Note Added: 0021183
2013-02-28 19:53 neil Tag Attached: patch
2013-03-13 04:18 mumra File Added: 0001-Fix-vault-overriding-in-layout_city.patch
2013-03-13 05:34 SamB Note Added: 0021388
2013-03-13 05:34 SamB Status new => resolved
2013-03-13 05:34 SamB Fixed in Branch => 0.12 development branch
2013-03-13 05:34 SamB Resolution open => done
2013-03-13 05:34 SamB Assigned To => SamB
2013-03-15 01:35 mumra Relationship added has duplicate 0006056


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker